Bug 1822110 - kernel-tools: Auto-generated and explicit debuginfo subpackages
Summary: kernel-tools: Auto-generated and explicit debuginfo subpackages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-tools
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Justin M. Forbes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-08 09:36 UTC by Florian Weimer
Modified: 2020-04-15 21:01 UTC (History)
6 users (show)

Fixed In Version: kernel-tools-5.5.16-200.fc31 kernel-tools-5.5.16-100.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-15 20:33:45 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure fedora-infrastructure issue 8816 0 None None None 2020-04-08 09:36:01 UTC

Description Florian Weimer 2020-04-08 09:36:01 UTC
According to Panu, the explicit subpackage clause in the RPM spec file conflicts with the automatically generated one:

%package -n perf-debuginfo
Summary: Debug information for package perf
Requires: %{name}-debuginfo-common-%{_target_cpu} = %{version}-%{release}
AutoReqProv: no
%description -n perf-debuginfo
This package provides debug information for the perf package.

This cause the output RPM file to be written twice, occasionally corrupting it. RPM will likely be changed to recognize this problem and report an error, instead of silently producing corrupt RPM files.

Seen with kernel-tools-5.5.15-200.fc31.

Comment 1 Panu Matilainen 2020-04-08 10:27:16 UTC
Yup. In addition to that you'll need to remove the "%files -f perf-debuginfo.list -n perf-debuginfo" line. The _find_debuginfo_opts tweak also looks like something that's kernel-inherited and shouldn't be needed here, but then I don't know the background to that.

Comment 2 Fedora Update System 2020-04-08 21:54:42 UTC
FEDORA-2020-73c00eda1c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-73c00eda1c

Comment 3 Fedora Update System 2020-04-08 21:54:43 UTC
FEDORA-2020-a188b75f17 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a188b75f17

Comment 4 Fedora Update System 2020-04-09 19:13:50 UTC
FEDORA-2020-a188b75f17 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a188b75f17`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a188b75f17

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-04-09 20:14:32 UTC
FEDORA-2020-73c00eda1c has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-73c00eda1c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-73c00eda1c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-04-15 20:33:45 UTC
FEDORA-2020-a188b75f17 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-04-15 21:01:42 UTC
FEDORA-2020-73c00eda1c has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.